<?php
/* Copyright (C) NAVER <http://www.navercorp.com> */
/**
 * @class login_info
 * @author NAVER (developers@xpressengine.com)
 * @version 0.1
 * @brief Widget to display log-in form
 *
 * $Pre-configured by using $logged_info
 */
class androidapp_reward extends WidgetHandler
{
	/**
	 * @brief Widget execution
	 * Get extra_vars declared in ./widgets/widget/conf/info.xml as arguments
	 * After generating the result, do not print but return it.
	 */
	function proc($args)
	{
		// Set a path of the template skin (values of skin, colorset settings)
		$tpl_path = sprintf('%sskins/%s', $this->widget_path, $args->skin);
		Context::set('colorset', $args->colorset);

		$oAndroidpushappModel = getModel('androidpushapp');
		$config_push = $oAndroidpushappModel->get_androidpushapp_config();

		$oMemberModel = getModel('member');

		$now_login = "false";

		$limit_ok = "false";
		

		if($oMemberModel->isLogged())
		{
			$logged_info = Context::get('logged_info');
			$member_srl = $logged_info->member_srl;
			$now_login = "true";

			if($config_push->reward_limit != 0)
			{
				$date = date('Ymd');
				$date = $date . "000000";

				$argss = new stdClass();
				$argss->member_srl = $member_srl;
				$argss->regdate = $date;
				$output = executeQueryArray('androidpushapp.getReward', $argss);
				if(count($output->data) < $config_push->reward_limit)
				{
					$limit_ok = "true";						
				}
			}
			else
			{
				$limit_ok = "true";
			}
		}
		
		$aaa = $oAndroidpushappModel->get_random_string('75');
		if(($config_push->reward_type == 'point' || $config_push->reward_type == 'mileage') && $limit_ok == "true")
		{
			$_SESSION["reward_secret"] = $aaa;
		}
		else
		{
			$_SESSION["reward_secret"] = "";
		}

		Context::set('secretnum', $aaa);
		Context::set('limit_ok', $limit_ok);
		Context::set('config_push', $config_push);
		Context::set('now_login', $now_login);

		// Set a flag to check if the https connection is made when using SSL and create https url 
		$ssl_mode = false;
		$useSsl = Context::getSslStatus();
		if($useSsl != 'none')
		{
			if(strncasecmp('https://', Context::getRequestUri(), 8) === 0) $ssl_mode = true;
		}
		Context::set('ssl_mode',$ssl_mode);

		// Compile a template
		$oTemplate = &TemplateHandler::getInstance();
		return $oTemplate->compile($tpl_path, 'button');
	}
}
/* End of file androidapp_login.class.php */
/* Location: ./widgets/androidapp_login/androidapp_login.class.php */
